Categories

See More
Popular Forum

MBA (4887) B.Tech (1769) Engineering (1486) Class 12 (1030) Study Abroad (1004) Computer Science and Engineering (988) Business Management Studies (865) BBA (846) Diploma (746) CAT (651) B.Com (648) B.Sc (643) JEE Mains (618) Mechanical Engineering (574) Exam (525) India (462) Career (452) All Time Q&A (439) Mass Communication (427) BCA (417) Science (384) Computers & IT (Non-Engg) (383) Medicine & Health Sciences (381) Hotel Management (373) Civil Engineering (353) MCA (349) Tuteehub Top Questions (348) Distance (340) Colleges in India (334)
See More

React-Native and xcode 10 - Set Base SDK to 12.1 but compiles to 11

General Tech Bugs & Fixes
Max. 2000 characters
Replies

usr_profile.png
Mike Franklin

User

( 7 months ago )

I can't update my app on the app store because it won't compile with SDK version 12.1.

Everytime I try to upload my app I get this message:

SDK Version Issue. This app was built with the iOS 11.2 SDK. All iOS apps submitted to the App Store must be built with the iOS 11 SDK or later, included in Xcode 9 or later. Further, starting March 2019, all iOS apps submitted to the App Store must be built with the iOS 12.1 SDK or later, included in Xcode 10.1 or later.

In my project settings Base SDK is set to ios 12.1

After reading other issues like this, I have also deleted xcode 9 from my computer. But still nothing is working.

Any idea what is forcing my app to compile with 11.2?

what's your interest


forum_ban8_5d8c5fd7cf6f7.gif